Package org.apache.solr.client.solrj.request

# Class ReplicationApi

java.lang.Object
org.apache.solr.client.solrj.request.ReplicationApi

public class ReplicationApi extends Object
Experimental `SolrRequest`s for replication, generated from an OAS.

See individual request and response classes for more detailed and relevant information.

All SolrRequest implementations rely on v2 APIs which may require a SolrClient configured to use the '/api' path prefix, instead of '/solr'.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ReplicationApi.FetchFile1`
`static class`
`ReplicationApi.FetchFileList`
`static class`
`ReplicationApi.FetchIndexVersion`

## Constructor Summary

Constructors
Constructor
Description
`ReplicationApi()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplicationApi

public ReplicationApi()